#!/usr/bin/env python
# -*- coding: utf-8 -*-
# ElbiaAdmin Python-lib version 2.1.8
# Copyright (c) 2012-2022, Jozef Sudolsky, ELBIA, s. r. o. (jozef@sudolsky.sk)
# All rights reserved.
# BSD Licence
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#     1. Redistributions of source code must retain the above copyright notice,
#        this list of conditions and the following disclaimer.
#
#     2. Redistributions in binary form must reproduce the above copyright
#        notice, this list of conditions and the following disclaimer in the
#        documentation and/or other materials provided with the distribution.
#
#     3. Neither the name of ElbiaAdmin Python-lib nor the names of its
#        contributors may be used to endorse or promote products derived from
#        this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
################################################################################
import ealibCore

class ElbiaAdminSMS(ealibCore.ElbiaAdmin):

	OK_STATE = "ok"

	def get_senders(self, poffset, pcount, fsender=None):
		return self._do_command("get_senders", (self.__token__, poffset, pcount, fsender), "S")

	def get_sender(self, sender_id):
		return self._do_command("get_sender", (self.__token__, sender_id), "S")

	def add_sender(self, sender):
		return self._do_command("add_sender", (self.__token__, sender), "S")

	def remove_sender(self, sender_id):
		return self._do_command("remove_sender", (self.__token__, sender_id), "S")

	def get_smses(self, poffset, pcount, freceiver=None, ftext=None, fstate=None):
		return self._do_command("get_smses", (self.__token__, poffset, pcount, freceiver, ftext, fstate), "S")

	def get_sms(self, sms_id):
		return self._do_command("get_sms", (self.__token__, sms_id), "S")

	def get_sms_state(self, sms_id):
		return self._do_command("get_sms_state", (self.__token__, sms_id), "S")

	def send_sms(self, sender_id, prefix, receiver, text, description=None):
		return self._do_command("send_sms", (self.__token__, sender_id, prefix, receiver, text, description), "S")

"""
EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE
EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE
EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE EXAMPLE

import ealibSMS

eas = ealibSMS.ElbiaAdminSMS("login", "heslo")

result = eas.add_sender("test")

print result

result = eas.send_sms(result["data"]["id"], "+421", "123456", "Hello world")

print result
"""
